<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>ignition.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>boutton</object-name>
    <object-name>face</object-name>
    <object-name>deckeyL</object-name>
    <object-name>inckeyL</object-name>
    <object-name>deckeyR</object-name>
    <object-name>inckeyR</object-name>
    <object-name>screws</object-name>
  </animation>

  <animation>
    <type>pick</type>
    <visible>true</visible>
    <object-name>inckeyL</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>property-adjust</command>
        <property>controls/engines/engine[0]/magnetos</property>
        <step>1</step>
        <min>0</min>
        <max>3</max>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>sim/model/sound/click</property>
      </binding>
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <visible>true</visible>
    <object-name>deckeyL</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>property-adjust</command>
        <property>controls/engines/engine[0]/magnetos</property>
        <step>-1</step>
        <min>0</min>
        <max>3</max>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>sim/model/sound/click</property>
      </binding>
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <visible>true</visible>
    <object-name>inckeyR</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>property-adjust</command>
        <property>controls/engines/engine[1]/magnetos</property>
        <step>1</step>
        <min>0</min>
        <max>3</max>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>sim/model/sound/click</property>
      </binding>
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <visible>true</visible>
    <object-name>deckeyR</object-name>
    <action>
      <button>0</button>
      <binding>
        <command>property-adjust</command>
        <property>controls/engines/engine[1]/magnetos</property>
        <step>-1</step>
        <min>0</min>
        <max>3</max>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>sim/model/sound/click</property>
      </binding>
    </action>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>deckeyL</object-name>
    <object-name>inckeyL</object-name>
    <property>controls/engines/engine[0]/magnetos-pos</property>
    <factor> -30 </factor>
    <center>
      <x-m>  0.00000 </x-m>
      <y-m> -0.02264 </y-m>
      <z-m> -0.00454 </z-m>
    </center>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>deckeyR</object-name>
    <object-name>inckeyR</object-name>
    <property>controls/engines/engine[1]/magnetos-pos</property>
    <factor> 30 </factor>
    <center>
      <x-m>  0.00000 </x-m>
      <y-m>  0.02264 </y-m>
      <z-m> -0.00454 </z-m>
    </center>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <!-- -->
  <text>
    <name>magnetoL</name>
    <type                   type="string">literal</type>
    <text                   type="string">  Magneto Left        -     +</text>
    <draw-text              type="bool">true</draw-text>
    <font>Helvetica.txf</font>
    <character-size         type="double">0.006</character-size>
    <character-aspect-ratio type="double">1.0</character-aspect-ratio>
    <axis-alignment>yz-plane</axis-alignment>
    <max-height>0.06</max-height>
    <max-width>0.04</max-width>
    <font-resolution>
      <width                type="int">32</width>
      <height               type="int">32</height>
    </font-resolution>
    <alignment>center-center</alignment>
    <offsets>
      <x-m>  0.006 </x-m>
      <y-m> -0.032 </y-m>
      <z-m>  0.013 </z-m>
    </offsets>
  </text>

  <text>
    <name>magnetoR</name>
    <type                   type="string">literal</type>
    <text                   type="string">Magneto Right   +    -</text>
    <draw-text              type="bool">true</draw-text>
    <font>Helvetica.txf</font>
    <character-size         type="double">0.006</character-size>
    <character-aspect-ratio type="double">1.0</character-aspect-ratio>
    <axis-alignment>yz-plane</axis-alignment>
    <max-height>0.06</max-height>
    <max-width>0.04</max-width>
    <font-resolution>
      <width                type="int">32</width>
      <height               type="int">32</height>
    </font-resolution>
    <alignment>center-center</alignment>
    <offsets>
      <x-m>  0.006 </x-m>
      <y-m>  0.032 </y-m>
      <z-m>  0.013 </z-m>
    </offsets>
  </text>

  <animation>
    <type>material</type>
    <object-name>magnetoL</object-name>
    <object-name>magnetoR</object-name>
    <emission>
      <red>   0.8 </red>
      <green> 0.8 </green>
      <blue>  0.0 </blue>
    </emission>
  </animation>

  <animation>
    <type>select</type>
    <object-name>magnetoL</object-name>
    <object-name>magnetoR</object-name>
    <condition>
      <property>sim/panel-hotspots</property>
    </condition>
  </animation>

</PropertyList>
